liborigin 2.0.0

Public Member Functions | Private Attributes | List of all members
tree< T, tree_node_allocator >::compare_nodes< StrictWeakOrdering > Class Template Reference

Comparator class for two nodes of a tree (used for sorting and searching). More...

## Public Member Functions
| compare_nodes (StrictWeakOrdering comp)
bool | operator() (const tree_node *a, const tree_node *b)

## Private Attributes
StrictWeakOrdering | comp_

## Detailed Description

template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
template<class StrictWeakOrdering>
class tree< T, tree_node_allocator >::compare_nodes< StrictWeakOrdering >

Comparator class for two nodes of a tree (used for sorting and searching).

## Constructor & Destructor Documentation

## ◆ compare_nodes()

template<class T , class tree_node_allocator = std::allocator<tree_node_<T> >>
template<class StrictWeakOrdering >

tree< T, tree_node_allocator >::compare_nodes< StrictWeakOrdering >::compare_nodes | ( | StrictWeakOrdering | comp | ) |
| inline

## Member Function Documentation

## ◆ operator()()

template<class T , class tree_node_allocator = std::allocator<tree_node_<T> >>
template<class StrictWeakOrdering >

bool tree< T, tree_node_allocator >::compare_nodes< StrictWeakOrdering >::operator() | ( | const tree_node * | a,
|  | const tree_node * | b
| ) |  |
| inline

References tree_node_< T >::data.

## Member Data Documentation

## ◆ comp_

template<class T , class tree_node_allocator = std::allocator<tree_node_<T> >>
template<class StrictWeakOrdering >

StrictWeakOrdering tree< T, tree_node_allocator >::compare_nodes< StrictWeakOrdering >::comp_
| private

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/tree.hh